summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-01 21:07:41 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-01 21:07:41 +0000
commit12dbd21787b35c820bc36a79637a1647a74c8692 (patch)
tree6ef93345104e55a165065e27b854eb9b9bc23e07 /dev-python
parent44e635bf34c9eb4e3294b4500ac5ce6427559f67 (diff)
downloadbaldeagleos-repo-12dbd21787b35c820bc36a79637a1647a74c8692.tar.gz
baldeagleos-repo-12dbd21787b35c820bc36a79637a1647a74c8692.tar.xz
baldeagleos-repo-12dbd21787b35c820bc36a79637a1647a74c8692.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/agate/agate-1.9.1.ebuild3
-rw-r--r--dev-python/alembic/alembic-1.13.1.ebuild5
-rw-r--r--dev-python/alembic/files/alembic-1.13.1-pytest-8.patch68
-rw-r--r--dev-python/attrs/attrs-23.2.0.ebuild5
-rw-r--r--dev-python/attrs/files/attrs-23.2.0-pytest-8.patch44
-rw-r--r--dev-python/biplist/biplist-1.0.3.ebuild7
-rw-r--r--dev-python/d2to1/Manifest1
-rw-r--r--dev-python/d2to1/d2to1-0.2.12_p1.ebuild22
-rw-r--r--dev-python/d2to1/metadata.xml14
-rw-r--r--dev-python/http-ece/http-ece-1.2.0.ebuild3
-rw-r--r--dev-python/jsonref/jsonref-1.1.0.ebuild4
-rw-r--r--dev-python/jupyter-collaboration/jupyter-collaboration-2.0.5.ebuild2
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/lxml/Manifest1
-rw-r--r--dev-python/lxml/lxml-5.2.0.ebuild128
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.5.16.ebuild67
-rw-r--r--dev-python/phx-class-registry/phx-class-registry-3.0.5-r1.ebuild5
-rw-r--r--dev-python/pillow/Manifest1
-rw-r--r--dev-python/pillow/pillow-10.3.0.ebuild130
-rw-r--r--dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild5
-rw-r--r--dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc29.ebuild2
-rw-r--r--dev-python/pytest-xprocess/Manifest1
-rw-r--r--dev-python/pytest-xprocess/pytest-xprocess-1.0.1.ebuild27
-rw-r--r--dev-python/tweepy/tweepy-4.14.0.ebuild19
-rw-r--r--dev-python/types-gdb/Manifest1
-rw-r--r--dev-python/types-gdb/types-gdb-12.1.4.20240401.ebuild17
30 files changed, 535 insertions, 77 deletions
diff --git a/dev-python/agate/agate-1.9.1.ebuild b/dev-python/agate/agate-1.9.1.ebuild
index 1154da7588cc..2d595fd7df94 100644
--- a/dev-python/agate/agate-1.9.1.ebuild
+++ b/dev-python/agate/agate-1.9.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2021-2023 Gentoo Authors
+# Copyright 2021-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -29,6 +29,7 @@ RDEPEND="
"
BDEPEND="
test? (
+ >=dev-python/cssselect-0.9.1[${PYTHON_USEDEP}]
dev-python/lxml[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/alembic/alembic-1.13.1.ebuild b/dev-python/alembic/alembic-1.13.1.ebuild
index 0c3555364c87..61de484d04e2 100644
--- a/dev-python/alembic/alembic-1.13.1.ebuild
+++ b/dev-python/alembic/alembic-1.13.1.ebuild
@@ -34,6 +34,11 @@ BDEPEND="
EPYTEST_XDIST=1
distutils_enable_tests pytest
+PATCHES=(
+ # https://github.com/sqlalchemy/alembic/commit/6bdb9043868d4bd04ebe3fe8a4991735d5f87ed3
+ "${FILESDIR}/${P}-pytest-8.patch"
+)
+
python_test() {
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
# setup.cfg contains -p no:warnings in addopts which triggers
diff --git a/dev-python/alembic/files/alembic-1.13.1-pytest-8.patch b/dev-python/alembic/files/alembic-1.13.1-pytest-8.patch
new file mode 100644
index 000000000000..a681645e02ec
--- /dev/null
+++ b/dev-python/alembic/files/alembic-1.13.1-pytest-8.patch
@@ -0,0 +1,68 @@
+From 6bdb9043868d4bd04ebe3fe8a4991735d5f87ed3 Mon Sep 17 00:00:00 2001
+From: Mike Bayer <mike_mp@zzzcomputing.com>
+Date: Sun, 3 Mar 2024 23:11:50 -0500
+Subject: [PATCH] use SQLAlchemy's xdist methods
+
+Fixes to support pytest 8.1 for the test suite.
+
+the use of teardown() was based on pytest's nose
+compat, which is removed. their xdist style tests use the name
+"setup_method()" and "teardown_method()" now.
+
+We have SQLAlchemy's pytestplugin in use which uses pytest fixtures
+to invoke our own xdist style setUp and tearDown methods, which we
+are already using here, so use those for this one test.
+
+Fixes: #1435
+Change-Id: I4c49e81fca6bfa957594714009531fe12691ace5
+---
+ docs/build/unreleased/1435.rst | 5 +++++
+ tests/test_command.py | 15 +++++++--------
+ tox.ini | 2 +-
+ 3 files changed, 13 insertions(+), 9 deletions(-)
+ create mode 100644 docs/build/unreleased/1435.rst
+
+diff --git a/tests/test_command.py b/tests/test_command.py
+index c665f95..04a624a 100644
+--- a/tests/test_command.py
++++ b/tests/test_command.py
+@@ -64,7 +64,7 @@ class HistoryTest(_BufMixin, TestBase):
+ def teardown_class(cls):
+ clear_staging_env()
+
+- def teardown(self):
++ def tearDown(self):
+ self.cfg.set_main_option("revision_environment", "false")
+
+ @classmethod
+@@ -206,13 +206,12 @@ finally:
+
+
+ class RevisionEnvironmentTest(_BufMixin, TestBase):
+- @classmethod
+- def setup(cls):
+- cls.env = staging_env()
+- cls.cfg = _sqlite_testing_config()
+- cls._setup_env_file()
++ def setUp(self):
++ self.env = staging_env()
++ self.cfg = _sqlite_testing_config()
++ self._setup_env_file()
+
+- def teardown(self):
++ def tearDown(self):
+ self.cfg.set_main_option("revision_environment", "false")
+ clear_staging_env()
+
+@@ -1144,7 +1143,7 @@ class CommandLineTest(TestBase):
+ cls.cfg = _sqlite_testing_config()
+ cls.a, cls.b, cls.c = three_rev_fixture(cls.cfg)
+
+- def teardown(self):
++ def tearDown(self):
+ os.environ.pop("ALEMBIC_CONFIG", None)
+
+ @classmethod
+--
+2.44.0
+
diff --git a/dev-python/attrs/attrs-23.2.0.ebuild b/dev-python/attrs/attrs-23.2.0.ebuild
index 33e84221cbf5..d6b05c3daa8e 100644
--- a/dev-python/attrs/attrs-23.2.0.ebuild
+++ b/dev-python/attrs/attrs-23.2.0.ebuild
@@ -33,3 +33,8 @@ BDEPEND="
"
distutils_enable_tests pytest
+
+PATCHES=(
+ # https://github.com/python-attrs/attrs/pull/1249
+ "${FILESDIR}/${P}-pytest-8.patch"
+)
diff --git a/dev-python/attrs/files/attrs-23.2.0-pytest-8.patch b/dev-python/attrs/files/attrs-23.2.0-pytest-8.patch
new file mode 100644
index 000000000000..68e4c86c1315
--- /dev/null
+++ b/dev-python/attrs/files/attrs-23.2.0-pytest-8.patch
@@ -0,0 +1,44 @@
+From b9084fab02c009a593b604562a69f36a5915c8e5 Mon Sep 17 00:00:00 2001
+From: Denis Laxalde <denis@laxalde.org>
+Date: Sat, 2 Mar 2024 07:40:36 +0100
+Subject: [PATCH] Remove pytest.deprecated_call() in TestAssoc::test_unknown
+ (#1249)
+
+assoc() no longer raises a deprecation warning since commit
+22ae8473fb88d6e585b05c709e81e1a46398a649 but the 'with
+pytest.deprecated_call():' in that test was not removed then (in
+contrast with other test cases).
+
+Maybe this got unnoticed due to a pytest bug?
+In any case, using pytest 8+ (and keeping deprecated_call()) shows that
+no warning is raised and the test fails.
+
+Removing the upper bound on pytest in dev dependencies as tests now
+pass with pytest 8.0.
+
+Fix #1233.
+
+Co-authored-by: Hynek Schlawack <hs@ox.cx>
+---
+ pyproject.toml | 3 +--
+ tests/test_funcs.py | 4 +---
+ 2 files changed, 2 insertions(+), 5 deletions(-)
+
+diff --git a/tests/test_funcs.py b/tests/test_funcs.py
+index 044aaab..398ba35 100644
+--- a/tests/test_funcs.py
++++ b/tests/test_funcs.py
+@@ -600,9 +600,7 @@ class TestAssoc:
+ AttrsAttributeNotFoundError.
+ """
+ # No generated class will have a four letter attribute.
+- with pytest.raises(
+- AttrsAttributeNotFoundError
+- ) as e, pytest.deprecated_call():
++ with pytest.raises(AttrsAttributeNotFoundError) as e:
+ assoc(C(), aaaa=2)
+
+ assert (f"aaaa is not an attrs attribute on {C!r}.",) == e.value.args
+--
+2.44.0
+
diff --git a/dev-python/biplist/biplist-1.0.3.ebuild b/dev-python/biplist/biplist-1.0.3.ebuild
index 239e2d641e87..5749b523dd1a 100644
--- a/dev-python/biplist/biplist-1.0.3.ebuild
+++ b/dev-python/biplist/biplist-1.0.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023 Gentoo Authors
+# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -16,9 +16,10 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-DEPEND="test? ( ${RDEPEND} )"
+# DEPEND="test? ( ${RDEPEND} )"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
PATCHES=( "${FILESDIR}/${PN}-python3-compat.patch" )
-distutils_enable_tests nose
+# Removed from ::gentoo
+# distutils_enable_tests nose
diff --git a/dev-python/d2to1/Manifest b/dev-python/d2to1/Manifest
deleted file mode 100644
index 0cdb7c4061cf..000000000000
--- a/dev-python/d2to1/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST d2to1-0.2.12_p1.tar.gz 41671 BLAKE2B dc0a6b4efa89a81c5d6a027f75e79517ed47da855f4da4323cafb8fe4702f3965f6ae10f863ccb2ea2369f86add34424e45ed0ca7f98da1cc822e88fb78374b1 SHA512 3cf4d1f5b4699b69bda7531cb60a6734bbd8a3b68d8c6f0e7e1dd7d0f4489a8e4d9f50ef2b562527383fad0e6143ba42ab91591bdc82e82a23ed141df9128daa
diff --git a/dev-python/d2to1/d2to1-0.2.12_p1.ebuild b/dev-python/d2to1/d2to1-0.2.12_p1.ebuild
deleted file mode 100644
index 7f201d44d8fa..000000000000
--- a/dev-python/d2to1/d2to1-0.2.12_p1.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 2021 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=7
-
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-MY_PV=${PV/_p1/.post1}
-
-DESCRIPTION="It converts distutils2's setup.cfg to setuptools' setup.py"
-HOMEPAGE="https://github.com/embray/d2to1"
-SRC_URI="https://github.com/embray/${PN}/archive/refs/tags/${MY_PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-distutils_enable_tests nose
-
-S="${WORKDIR}/${PN}-${MY_PV}"
diff --git a/dev-python/d2to1/metadata.xml b/dev-python/d2to1/metadata.xml
deleted file mode 100644
index c976b9696070..000000000000
--- a/dev-python/d2to1/metadata.xml
+++ /dev/null
@@ -1,14 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
- <maintainer type="person">
- <email>fedeliallalinea@gmail.com</email>
- <name>Marco Genasci</name>
- </maintainer>
-
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/http-ece/http-ece-1.2.0.ebuild b/dev-python/http-ece/http-ece-1.2.0.ebuild
index b000c98dce54..4cbabc6acb8d 100644
--- a/dev-python/http-ece/http-ece-1.2.0.ebuild
+++ b/dev-python/http-ece/http-ece-1.2.0.ebuild
@@ -20,4 +20,5 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/cryptography[${PYTHON_USEDEP}]"
-distutils_enable_tests nose
+# Removed from ::gentoo
+# distutils_enable_tests nose
diff --git a/dev-python/jsonref/jsonref-1.1.0.ebuild b/dev-python/jsonref/jsonref-1.1.0.ebuild
index 3bc1cedde70a..4a23a06ba6d1 100644
--- a/dev-python/jsonref/jsonref-1.1.0.ebuild
+++ b/dev-python/jsonref/jsonref-1.1.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-DISTUTILS_USE_PEP517=pdm
+DISTUTILS_USE_PEP517=pdm-backend
PYTHON_COMPAT=( python3_{8,9,10,11,12} )
inherit distutils-r1
diff --git a/dev-python/jupyter-collaboration/jupyter-collaboration-2.0.5.ebuild b/dev-python/jupyter-collaboration/jupyter-collaboration-2.0.5.ebuild
index d023ac01306b..c4acfe7f75b0 100644
--- a/dev-python/jupyter-collaboration/jupyter-collaboration-2.0.5.ebuild
+++ b/dev-python/jupyter-collaboration/jupyter-collaboration-2.0.5.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_1{1..2} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
inherit distutils-r1 pypi
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..e9da2ac43cac 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 630fe63c6f53..c09b7356f549 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 736a1167c898..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,6 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
-
- <origin>gentoo-guru-overlay</origin>
+ <maintainer type="person">
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/lxml/Manifest b/dev-python/lxml/Manifest
index d8735fc872bf..b1db00adfb7b 100644
--- a/dev-python/lxml/Manifest
+++ b/dev-python/lxml/Manifest
@@ -1,2 +1,3 @@
DIST lxml-5.1.0.gh.tar.gz 962111 BLAKE2B 31c82eb198911d82fd9f7882bf94547b2367f3b3d1183eb8e8f97297b96faa69230d27b3367160b1f732a5d0878296b2d11787c3b220416c81a920e62ebec4f2 SHA512 1fadfeac1fb8b1e4fb1f7f2acb056865eb2567300a6c728eaede380d846ac75a6e33ebebcbbc6d60f54102152afd5dddf970058c4e27af396e9fa58e83c407a7
DIST lxml-5.1.1.gh.tar.gz 963649 BLAKE2B 0cb7b4e39539ee962cd590b2b2dc644a111a094da9cbccc2ee0c29b9a758d8aca967f989693c76532252909dc44a96a3815273f04f28be2dbeb57d4daae2e6fd SHA512 bb479ca7dcce944a9a3597f67da1b12fb9f3a05592fb8342fe01bc569a86df95c32c7bf1bc0b9cfc0ddffb85adf12612fb2d8622a460357c1aaa56e033476375
+DIST lxml-5.2.0.gh.tar.gz 949400 BLAKE2B 4a1640e1da27504e6a9b5e1c55fa2d51eb2e27f6400b63dae29aa42c6c9bf9a002374d0c4ec3ccd13452efd4f39f0a28dc5989fe7f1da5c80e17b2fb31a0dcae SHA512 5d4faab6430666427a7540b768a81beb5c628e7801a06156a68a03a5f75e424e61b1dfd792b8909e03e8561ffb0be64f62c86a411c110c01a021f4cbf37593f2
diff --git a/dev-python/lxml/lxml-5.2.0.ebuild b/dev-python/lxml/lxml-5.2.0.ebuild
new file mode 100644
index 000000000000..7e10764cbb22
--- /dev/null
+++ b/dev-python/lxml/lxml-5.2.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 optfeature toolchain-funcs
+
+DESCRIPTION="A Pythonic binding for the libxml2 and libxslt libraries"
+HOMEPAGE="
+ https://lxml.de/
+ https://pypi.org/project/lxml/
+ https://github.com/lxml/lxml/
+"
+SRC_URI="
+ https://github.com/lxml/lxml/archive/${P}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/lxml-${P}
+
+LICENSE="BSD ElementTree GPL-2 PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc examples +threads test"
+RESTRICT="!test? ( test )"
+
+# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
+DEPEND="
+ >=dev-libs/libxml2-2.10.3
+ >=dev-libs/libxslt-1.1.38
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ virtual/pkgconfig
+ >=dev-python/cython-3.0.10[${PYTHON_USEDEP}]
+ doc? (
+ $(python_gen_any_dep '
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+ ')
+ )
+ test? (
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-5.1.1-pypy.patch"
+)
+
+python_check_deps() {
+ use doc || return 0
+ python_has_version -b "dev-python/docutils[${PYTHON_USEDEP}]" &&
+ python_has_version -b "dev-python/pygments[${PYTHON_USEDEP}]" &&
+ python_has_version -b "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+ python_has_version -b "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]"
+}
+
+python_prepare_all() {
+ # avoid replacing PYTHONPATH in tests.
+ sed -i -e '/sys\.path/d' test.py || die
+
+ # don't use some random SDK on Darwin
+ sed -i -e '/_ldflags =/s/=.*isysroot.*darwin.*None/= None/' \
+ setupinfo.py || die
+
+ # don't depend on sys-apps/which
+ sed -i -e 's:which:command -v:' Makefile || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ local DISTUTILS_ARGS=(
+ # by default it adds -w to CFLAGS
+ --warnings
+ )
+ tc-export PKG_CONFIG
+ distutils-r1_python_compile
+}
+
+python_compile_all() {
+ use doc && emake html
+}
+
+python_test() {
+ local dir=${BUILD_DIR}/test$(python_get_sitedir)/lxml
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ cp -al "${BUILD_DIR}"/{install,test} || die
+ cp -al src/lxml/tests "${dir}/" || die
+ cp -al src/lxml/html/tests "${dir}/html/" || die
+ ln -rs "${S}"/doc "${dir}"/../../ || die
+
+ # test_feedparser_data requires lxml_html_clean
+ # this is the *simplest* way of skipping these without breaking
+ # random other tests, sigh
+ sed -e '/lxml\.html\.clean/d' \
+ -i "${dir}"/html/tests/test_feedparser_data.py || die
+ rm -r "${dir}"/html/tests/*-data/*.data || die
+
+ "${EPYTHON}" test.py -vv --all-levels -p ||
+ die "Tests fail on ${EPYTHON}"
+}
+
+python_install_all() {
+ if use doc; then
+ local DOCS=( README.rst *.txt doc/*.txt )
+ local HTML_DOCS=( doc/html/. )
+ fi
+ if use examples; then
+ dodoc -r samples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Support for BeautifulSoup as a parser backend" dev-python/beautifulsoup4
+ optfeature "Translates CSS selectors to XPath 1.0 expressions" dev-python/cssselect
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index f5a35e5824e5..cdc13d0b9801 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs-material-9.5.13.gh.tar.gz 14797946 BLAKE2B fa525ff6577eb9409f08a3dd3b609f85d5bd0eabf3922d2f32751ee3d2fd52a09bdcbf4aa73f8a5c5185ced8eed542a33f414980a1632cc995d572b50fdb277d SHA512 57cb9a8d18bbb1d4ce43976b59737fc9619d8755f1736687b8399df7edbe0f44e91a97256ede886f45583a32d3cfdd049361c817310bbaca045b96e1a0d3e5e6
DIST mkdocs-material-9.5.14.gh.tar.gz 14819394 BLAKE2B 27c083e03d46ba8e24750065eb498bf8f1745715e9ec1e0c6785f532a93e05415fe1d4d8490d738c2b6f016573cca1897dfcc05837d5e3fda90b14d65889caf2 SHA512 6d371e43cf6051fbe58c2eca60cf9371626876be5640bfe478ec97f4c9c8ae4f019211c8d8fcfd1fbddb88a35680c821cb6870c565b41a337f0b7aecc59abf9b
DIST mkdocs-material-9.5.15.gh.tar.gz 14819594 BLAKE2B f0d992962acc7636218222913fcd8d40b6b74c3c4555d1ed8d5b30a4d438c137849624a28d3ed015d04d8c62955d9fffcb5d4e12a3008512a3d3247818789d9e SHA512 341069be531e8caed1e13fed1fabecf2dc4903afedfcccecd36955b22c859b748c88a900c7fca485b796d53812a893f3e49f2e8e519c1bcd8f5b8e7bf32d788d
+DIST mkdocs-material-9.5.16.gh.tar.gz 14839628 BLAKE2B 670066c57a4aa2bf3be295d58a8194b1602b829ece99b3b2b44e951f97e11379f525309dbd3757dfe493ba8a96d913217f2f86099d27d90b889ff3f4fb6cd9e1 SHA512 57a49d8a85e6703670f208dee86e14aa26d1378993c92c79fc401e161951cc6e0d1ba89ce8624f67504d6ecae7435e811d0a26143c9053f5214fbe57793f714b
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.5.16.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.5.16.ebuild
new file mode 100644
index 000000000000..eec1908ef846
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.5.16.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/phx-class-registry/phx-class-registry-3.0.5-r1.ebuild b/dev-python/phx-class-registry/phx-class-registry-3.0.5-r1.ebuild
index b8dbd43c9d60..b0a378c68ea6 100644
--- a/dev-python/phx-class-registry/phx-class-registry-3.0.5-r1.ebuild
+++ b/dev-python/phx-class-registry/phx-class-registry-3.0.5-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020-2022 Gentoo Authors
+# Copyright 2020-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -16,4 +16,5 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
S="${WORKDIR}/class-registry-${PV}"
-distutils_enable_tests nose
+# Removed from ::gentoo
+# distutils_enable_tests nose
diff --git a/dev-python/pillow/Manifest b/dev-python/pillow/Manifest
index 197a988b14bf..deb1cb5bc2f3 100644
--- a/dev-python/pillow/Manifest
+++ b/dev-python/pillow/Manifest
@@ -1,3 +1,4 @@
DIST pillow-10.0.1.gh.tar.gz 50539264 BLAKE2B 83c3bf4abc9c3eab210576dc28d6f8926ce0998ec344e792433afc05190bb248a926902ce7706e3569cd6cbf8deb640cafda86f102166cf6492ec00b66f9392f SHA512 27e2f0d86563c3b7f5a2e0ba2bbe98fc2cb2fa5871d0b6cbb5a0014e9d9eb03dde9969301419d806d1a22cd4881e624465a355ba9bc42b95746226e1f95712a9
DIST pillow-10.1.0.gh.tar.gz 50798274 BLAKE2B a69be8187e7206b50350af399b73b5c43b29c249a4a5a6bb23438dae9967bb84f1d487f52b188811cb3d2e550245f8d5a765668d8d5de1375a84fcd96fc531d9 SHA512 01c97b68d4167d10539a2d29fb82676fb417ee5003f0acd9f602ed13d41b200579497cc0ef0949b2c1549b684f76f2d43895a52abdb1367345d2affd544c5b5a
DIST pillow-10.2.0.gh.tar.gz 46244216 BLAKE2B 27bb076f0adade34295e6dfec5c5a1499471036e4f5358f0b3985c064a0ae962be9e91985851b369a49162ef520a84bb20eb1a5acb074fe94d861f042e4ada92 SHA512 d77ebedfb89d541db2fcba4fc354e097b9917594170bad07c67e22de123c9e0bbc9c55a938fc152bbdcca3ce23de6fa374a6d3d3bdbd44f16dbc2616c1bddf60
+DIST pillow-10.3.0.gh.tar.gz 46636534 BLAKE2B 523486a3adc8905dbe0691e7092654e7884c34703f351e228a49b1cb6e9cffdf504b842aa0c83b18afb8f0dbe1265274044003aba540d6427ec3cd46ddda1498 SHA512 11095f435ba30ac364575271de4c94d498b6fc1d67730b8212fae6f187902129018ca950aa878843f4d1b29e25aab1be245ed313fd3bc110ccf9ce3ae266d840
diff --git a/dev-python/pillow/pillow-10.3.0.ebuild b/dev-python/pillow/pillow-10.3.0.ebuild
new file mode 100644
index 000000000000..451fe646e585
--- /dev/null
+++ b/dev-python/pillow/pillow-10.3.0.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+# setuptools wrapper
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 toolchain-funcs virtualx
+
+MY_PN=Pillow
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python Imaging Library (fork)"
+HOMEPAGE="
+ https://python-pillow.org/
+ https://github.com/python-pillow/Pillow/
+ https://pypi.org/project/pillow/
+"
+SRC_URI="
+ https://github.com/python-pillow/Pillow/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+IUSE="examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb zlib"
+REQUIRED_USE="test? ( jpeg jpeg2k lcms tiff truetype )"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ imagequant? ( media-gfx/libimagequant:= )
+ jpeg? ( media-libs/libjpeg-turbo:= )
+ jpeg2k? ( media-libs/openjpeg:2= )
+ lcms? ( media-libs/lcms:2= )
+ tiff? ( media-libs/tiff:=[jpeg,zlib] )
+ truetype? ( media-libs/freetype:2= )
+ webp? ( media-libs/libwebp:= )
+ xcb? ( x11-libs/libxcb )
+ zlib? ( sys-libs/zlib:= )
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/olefile[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ test? (
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ || (
+ media-gfx/imagemagick[png]
+ media-gfx/graphicsmagick[png]
+ )
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+PATCHES=(
+ # https://github.com/python-pillow/pillow/pull/7634
+ "${FILESDIR}/${PN}-10.2.0-cross.patch"
+)
+
+usepil() {
+ usex "${1}" enable disable
+}
+
+python_configure_all() {
+ # It's important that these flags are also passed during the install phase
+ # as well. Make sure of that if you change the lines below. See bug 661308.
+ cat >> setup.cfg <<-EOF || die
+ [build_ext]
+ disable_platform_guessing = True
+ $(usepil truetype)_freetype = True
+ $(usepil jpeg)_jpeg = True
+ $(usepil jpeg2k)_jpeg2000 = True
+ $(usepil lcms)_lcms = True
+ $(usepil tiff)_tiff = True
+ $(usepil imagequant)_imagequant = True
+ $(usepil webp)_webp = True
+ $(usepil webp)_webpmux = True
+ $(usepil xcb)_xcb = True
+ $(usepil zlib)_zlib = True
+ EOF
+
+ # We have patched in this env var.
+ tc-export PKG_CONFIG
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO (is clipboard unreliable in Xvfb?)
+ Tests/test_imagegrab.py::TestImageGrab::test_grabclipboard
+ # requires xz-utils[extra-filters]?
+ Tests/test_file_libtiff.py::TestFileLibTiff::test_lzma
+ )
+
+ "${EPYTHON}" selftest.py --installed || die "selftest failed with ${EPYTHON}"
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # leak tests are fragile and broken under xdist
+ epytest -k "not leak" -p timeout || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ python_doheader src/libImaging/*.h
+ distutils-r1_python_install
+}
+
+python_install_all() {
+ if use examples ; then
+ docinto example
+ dodoc docs/example/*
+ docompress -x /usr/share/doc/${PF}/example
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild b/dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild
index 9a737be2f716..1f5b6c22a267 100644
--- a/dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild
+++ b/dev-python/proxy_tools/proxy_tools-0.1.0_p1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020-2023 Gentoo Authors
+# Copyright 2020-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,4 +20,5 @@ LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
-distutils_enable_tests nose
+# Removed from ::gentoo
+# distutils_enable_tests nose
diff --git a/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc29.ebuild b/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc29.ebuild
index f579f09b3116..6cf08d27b8bf 100644
--- a/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc29.ebuild
+++ b/dev-python/pytest-salt-factories/pytest-salt-factories-1.0.0_rc29.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_1{0..2} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1
diff --git a/dev-python/pytest-xprocess/Manifest b/dev-python/pytest-xprocess/Manifest
index 8fd9164f72ec..5c24781f92c5 100644
--- a/dev-python/pytest-xprocess/Manifest
+++ b/dev-python/pytest-xprocess/Manifest
@@ -1 +1,2 @@
DIST pytest-xprocess-0.23.0.tar.gz 31350 BLAKE2B 71492aa1bbc438221c6ac2825bf2bd678a75c12e8b5a8654d333c1ba2ad5c66b21f85e572998f0e5f1835097483a4895942d664ef7d8f078cad7923a9ee2e962 SHA512 97aa2a8ba0bcca62d53c0a0523696f6ae5fec5eae29e3e2cfe1a3ec8f14622c2c31f0802b2e65b55aa16778dd6ea82951e15af768c9d84cfd13aa2d427f94c9e
+DIST pytest-xprocess-1.0.1.tar.gz 38665 BLAKE2B ddda66a3aed155f857d6f55c38ddb687e46cd5e0e8eefa0183fc853e884d6167d836f67045cf3aa8be7558fd8b56b98110bfd6b0e1a562f95428da124685d77f SHA512 4bf4545149e7cf99b51f0ba710b04d673664e5c93083d6848dbe5d0ecb7d948bb6180d0de5980a2d576381ed9f7a10085f57469f6ece93585fc451ac02441920
diff --git a/dev-python/pytest-xprocess/pytest-xprocess-1.0.1.ebuild b/dev-python/pytest-xprocess/pytest-xprocess-1.0.1.ebuild
new file mode 100644
index 000000000000..a15cd0a54e47
--- /dev/null
+++ b/dev-python/pytest-xprocess/pytest-xprocess-1.0.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage external processes across test runs"
+HOMEPAGE="
+ https://pypi.org/project/pytest-xprocess/
+ https://github.com/pytest-dev/pytest-xprocess/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tweepy/tweepy-4.14.0.ebuild b/dev-python/tweepy/tweepy-4.14.0.ebuild
index 18c41da3a2ed..ec3af21051a1 100644
--- a/dev-python/tweepy/tweepy-4.14.0.ebuild
+++ b/dev-python/tweepy/tweepy-4.14.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,13 +23,14 @@ RDEPEND="
DEPEND="
${RDEPEND}
- test? (
- dev-python/aiohttp[${PYTHON_USEDEP}]
- dev-python/async-lru[${PYTHON_USEDEP}]
- dev-python/mock[${PYTHON_USEDEP}]
- <dev-python/urllib3-2.0.0[${PYTHON_USEDEP}]
- dev-python/vcrpy[${PYTHON_USEDEP}]
- )
"
+ # test? (
+ # dev-python/aiohttp[${PYTHON_USEDEP}]
+ # dev-python/async-lru[${PYTHON_USEDEP}]
+ # dev-python/mock[${PYTHON_USEDEP}]
+ # <dev-python/urllib3-2.0.0[${PYTHON_USEDEP}]
+ # dev-python/vcrpy[${PYTHON_USEDEP}]
+ # )
-distutils_enable_tests nose
+# Removed from ::gentoo
+# distutils_enable_tests nose
diff --git a/dev-python/types-gdb/Manifest b/dev-python/types-gdb/Manifest
index 2650abef25ac..c189d05df433 100644
--- a/dev-python/types-gdb/Manifest
+++ b/dev-python/types-gdb/Manifest
@@ -1,2 +1,3 @@
DIST types-gdb-12.1.4.20240322.tar.gz 10912 BLAKE2B d9fbb963fa6110c5f1c38e483a8b75eb00fd28d5d97eace31006515bfe731a78b9e57f5ec7814f5281363c2e3179494fe54ca6ca86b4c030161122253423d7f3 SHA512 9424844c4ac7386729a6156479252031ce80e6ca58b56a12c224a6f66ce8ee436671a84d50ea57ab9a027a5ad0340b576ea295d117ccfe3cc39230ca4ff52e81
DIST types-gdb-12.1.4.20240327.tar.gz 10993 BLAKE2B 9902a7c2d75eba37c53c0579a8f29b36389438c96661fe520aa501f45700b917f74c332c0f466125c10a3b2d66364870b65e763523ba33f61aaf03fb740617cf SHA512 c0e34c42b28034df086a50b8ddd795ab23f3d978d477f01b375c09ed709577d7b54acfefa3c414cb0b3ea002005a7e8b3f1cb6cd6349ec351209c8a956fe2b0b
+DIST types-gdb-12.1.4.20240401.tar.gz 11710 BLAKE2B 63a0e6aa2bc738bf05c24a81d3f031dc5be0010a66c445a8bc485e6617b8d3bd2cc85894e5caf68e7dcc619e72e80ab0a0eb4b4fc0d5c90e50345e0658620aad SHA512 0a145da20e847da00a1fdfb29e56845878b67bb99f344e6059f86d1fc4d84a6b32f1d16eadd19616b9a7619b7f832fa41772beea1bd314678d337e2fc009afa4
diff --git a/dev-python/types-gdb/types-gdb-12.1.4.20240401.ebuild b/dev-python/types-gdb/types-gdb-12.1.4.20240401.ebuild
new file mode 100644
index 000000000000..9fe9a5637e5d
--- /dev/null
+++ b/dev-python/types-gdb/types-gdb-12.1.4.20240401.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for gdb"
+HOMEPAGE="https://pypi.org/project/types-gdb/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"